//
//  TAIOnLineTool.h
//  TAIOnLineDemo
//
//  Created by 刘忠华 on 2022/6/24.
//

#import <Foundation/Foundation.h>
#import <Flutter/Flutter.h>

typedef NS_ENUM(NSUInteger, TLExampleContentMode) {
    TLExampleContentModeWord = 0,//单词
    TLExampleContentModeSentence = 1,//句子
    TLExampleContentModeParagraph = 2,//段落
};

typedef NS_ENUM(NSInteger, TLErrCode)
{
    /*
     成功
     */
    TLAIErrCode_Succ   =   0,
    /*
     参数错误
     */
    TLAIErrCode_Param,
    /*
     json解析错误
     */
    TLAIErrCode_Json,
    /*
     http请求错误
     */
    TLAIErrCode_Https,
    /*
     服务器错误
     */
    TLAIErrCode_Server,
};

NS_ASSUME_NONNULL_BEGIN


@interface TAIOnLineTool : NSObject
// 获取当前音频保存的本地路径（结束录制后，会将音频保存到该路径下）
@property (strong, nonatomic) NSString *audioPath;

/**
 开始录制音频返回结果
 params
 exampleText: 示例文本
 exampleMode：示例类型
 ***/
- (void) startRecordParams:(id)params result:(FlutterResult)result;
@end

NS_ASSUME_NONNULL_END
