
import 'dart:async';
import 'dart:ffi';

import 'package:flutter/services.dart';


class TLAiConfig {
  String appId;
  String secretId;
  String secretKey;

  TLAiConfig(
  {
    this.appId = '',
    this.secretId = '',
    this.secretKey = '',
  });
}

class IosFlutterAiPlugin {
  static const MethodChannel _channel = MethodChannel('ios_flutter_ai_plugin');
  static const MethodChannel _startChannel = MethodChannel('com.tlwl.ios_flutter_ai_plugin');///通道名
  static const EventChannel recordResultChannel = EventChannel("native_flutter_plugin_record_result"); /// 定义一个渠道事件监听；名字需要唯一且各端保持一致

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

//flutter向原生传递初始化参数
  static Future<void> initPlugin(TLAiConfig config) async {
    final Map<String, dynamic> param = {
      "appId": config.appId,
      "secretId": config.secretId,
      "secretKey": config.secretKey
    };
    _startChannel.invokeMethod('initPlugin',param);
  }

  /**
   * exampleText朗读-示例文本（你好）
   * exampleMode朗读-示例模式（单词、句子等）
   */

  static Future<void> startRecord(String exampleText, int exampleMode) async {
    Map<String, dynamic> param = {
      "exampleText": exampleText,
      "exampleMode": exampleMode
    };
    _startChannel.invokeMethod('startRecord',param);
  }

}
